Bug 797112 - incorrect fontconfig file
Summary: incorrect fontconfig file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gargi-fonts
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-24 10:22 UTC by Pravin Satpute
Modified: 2013-05-29 08:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-29 08:09:58 UTC


Attachments (Terms of Use)
updated fontconfig file for gargi (2.49 KB, text/plain)
2012-07-30 10:18 UTC, Pravin Satpute
no flags Details

Description Pravin Satpute 2012-02-24 10:22:27 UTC
Description of problem:
$cat /usr/share/fontconfig/conf.avail/69-gargi.conf
gives     <family>sans</family>

It should be 
<family>sans-serif</family>

Version-Release number of selected component (if applicable):
gargi-fonts-1.9-3.fc15.noarch

How reproducible:
everytime



Additional info:

See /usr/share/fontconfig/templates/basic-font-template.txt for family

It will be good if you can see lohit-devanagari-fonts and update fontconfig file same way.

Comment 1 Ankur Sinha (FranciscoD) 2012-07-28 06:32:06 UTC
(In reply to comment #0)
> Description of problem:
> $cat /usr/share/fontconfig/conf.avail/69-gargi.conf
> gives     <family>sans</family>
> 
> It should be 
> <family>sans-serif</family>
> 
> Version-Release number of selected component (if applicable):
> gargi-fonts-1.9-3.fc15.noarch
> 
> How reproducible:
> everytime
> 
> 
> 
> Additional info:
> 
> See /usr/share/fontconfig/templates/basic-font-template.txt for family
> 
> It will be good if you can see lohit-devanagari-fonts and update fontconfig
> file same way.

Hi Praveen,

I've made the correction from sans to sans-serif and built. I looked at the lohit-devanagari-fonts and I'm afraid it's a little complex for me to understand :). I don't quite know that much about fonts. Can you direct me to some documentation please to get started on that part? 

Thanks,
Ankur

Comment 2 Fedora Update System 2012-07-28 07:08:16 UTC
gargi-fonts-1.9-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gargi-fonts-1.9-6.fc16

Comment 3 Fedora Update System 2012-07-28 07:08:25 UTC
gargi-fonts-1.9-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gargi-fonts-1.9-6.fc17

Comment 4 Pravin Satpute 2012-07-30 10:18:39 UTC
Created attachment 601196 [details]
updated fontconfig file for gargi

Thanks for update, your updated fontconfig still has some minor problem. Fontname is "gargi" not "Gargi"

Yes, i can understand Devanagari fontconfig file is too complex :)

For making it easy i have attached proper fontconfig file. Simply replace will work.

Comment 5 Fedora Update System 2012-07-31 01:12:37 UTC
gargi-fonts-1.9-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gargi-fonts-1.9-7.fc16

Comment 6 Fedora Update System 2012-07-31 01:12:47 UTC
gargi-fonts-1.9-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gargi-fonts-1.9-7.fc17

Comment 7 Fedora Update System 2012-08-01 18:24:14 UTC
Package gargi-fonts-1.9-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gargi-fonts-1.9-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11334/gargi-fonts-1.9-7.fc17
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2012-08-18 01:23:04 UTC
gargi-fonts-1.9-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-08-18 01:30:09 UTC
gargi-fonts-1.9-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Pravin Satpute 2012-08-21 04:48:16 UTC
I will provide you SRPM for fixing this.

Comment 11 Ankur Sinha (FranciscoD) 2013-05-19 10:06:32 UTC
Hi Pravin,

Can I close this bug now?

Thanks,
Warm regards,
Ankur

Comment 12 Pravin Satpute 2013-05-29 08:09:58 UTC
Thanks for build. :) 
Closing bug !!


Note You need to log in before you can comment on or make changes to this bug.